import 'package:flutter/material.dart';
import 'battery.dart';
import 'assetsChannel.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Flutter Demo Home Page'),
      routes: {
        "/channeltest": batteryChannelPage,
        "/assetschannel": assetsChannelPage,
      },
    );
  }

  Widget batteryChannelPage(BuildContext context) {
    return PlatformChannel();
  }

  Widget assetsChannelPage(BuildContext context) {
    return AssestPlatformChannel();
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  int _counter = 0;

  void _incrementCounter() {
    setState(() {
      _counter++;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
              'You have pushed the button this many times:',
            ),
            Text(
              '$_counter',
              style: Theme.of(context).textTheme.display1,
            ),
            FlatButton(
              child: Text('channel test'),
              color: Colors.green,
              onPressed: (){Navigator.pushNamed(context, "/channeltest");},
            ),
            FlatButton(
              child: Text('assets test'),
              color: Colors.green,
              onPressed: (){Navigator.pushNamed(context, "/assetschannel");},
            ),
          ],
        ),
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: _incrementCounter,
        tooltip: 'Increment',
        child: Icon(Icons.add),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
